<?php
/*----- Activate Slightly Modified Options Framework -----*/
// error_reporting(E_ALL);
// ini_set('display_errors', 1);

require_once('admin/index.php');

// Register Custom Navigation Walker
require_once get_template_directory().'/class-wp-bootstrap-navwalker.php';

register_nav_menus( array(
    'primary' => __( 'Navbar Menu')
));

/*----- Translation -----*/
load_theme_textdomain('oft_theme', TEMPLATEPATH.'/inc/lang');

/*----- Header -----*/
add_theme_support('custom-header');





/*----- http://wp.tutsplus.com/tutorials/theme-deveopment/create-a-quicksand-portfolio-with-wordpress/ -----*/
/*----- Add Portfolio Custom Post Type -----*/
include_once("inc/portfolio/portfolio-post-type.php");


function custom_function()
{
    wp_deregister_script('jquery');
    wp_register_script('jquery','http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js');
    wp_enqueue_script('jquery');



//    wp_register_script('jquery1','http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js','jquery','1.0',true);
//    wp_enqueue_script('jquery1');

    wp_register_script('owl',get_template_directory_uri().'/js/owl.carousel.js','jquery','1.0',true);
    wp_enqueue_script('owl');


    wp_enqueue_script('quicksand',get_template_directory_uri().'/js/jquery.quicksand.js','jquery','1.0',true);
   // wp_enqueue_script('quicksand');

    wp_register_script('easing',get_template_directory_uri().'/js/jquery.easing.1.3.js','jquery','1.0',true);
    wp_enqueue_script('easing');

    wp_register_script('prettyphoto',get_template_directory_uri().'/js/jquery.prettyPhoto.js','jquery','1.0',true);
    wp_enqueue_script('prettyphoto');

    wp_register_script('custom',get_template_directory_uri().'/js/jquery.custom.js','jquery','1.0',true);
    wp_enqueue_script('custom');



    /*----- Enqueue Jquery for bxslider-----*/

    // wp_register_script('slider', get_template_directory_uri() . '/assets/js/jquery.bxslider.min.js', array('jquery'), '1.0');
    // wp_enqueue_script('slider');

    /*----- Enqueue Jquery -----*/


    /*----- Enqueue Jquery for Navigation-----*/

    // wp_enqueue_script( 'twentytwelve-navigation', get_template_directory_uri() . '/assets/js/navigation.js', array(), '1.0', true );

}

    add_action('wp_head', 'custom_function');
/*----- Enqueue Jquery for Waypoint-----*/
function main_scripts ()
{


    wp_register_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array('jquery'), '1.0',true);
    wp_enqueue_script('bootstrap');


    wp_register_script('alertify', get_template_directory_uri() . '/js/alertify.min.js', array('jquery'), '1.0',true);
    wp_enqueue_script('alertify');







}

add_action('wp_enqueue_scripts', 'main_scripts');





function register_styles()
{
    global $wp_styles;
    wp_register_style('prettyPhoto', get_template_directory_uri() .	'/inc/portfolio/portfolio.css');
    wp_enqueue_style( 'prettyPhoto');

    /*----- Enqueue bootstrap css-----*/
     wp_register_style('owl_css', get_template_directory_uri() .	'/css/owl.carousel.min.css');
     wp_enqueue_style( 'owl_css');
    /*----- End bootstrap css-----*/

    /*----- Enqueue Custom css-----*/
    // wp_register_style('custom', get_template_directory_uri() .	'/assets/css/style.css');
    // wp_enqueue_style( 'custom');
    /*----- End Custom css-----*/


}

add_action('init', 'register_styles');

/*----- add dynamic menu -----*/
function register_my_menus() {
    register_nav_menus(
        array(
            'primary-menu' => __( 'Primary Menu','oft_theme' ),
            'footer-menu' => __( 'Footer Menu','oft_theme' )
        )
    );
}
add_action( 'init', 'register_my_menus' );

if (isset($_GET['activated']) && is_admin()) {
    if ( !is_nav_menu( 'Primary Menu' )) {
        $menu_id = wp_create_nav_menu( 'Primary Menu' );
    }
    if ( !is_nav_menu( 'Footer Menu' )) {
        $menu_id = wp_create_nav_menu( 'Footer Menu' );
    }
}






/*----- Register Sidebars -----*/

if ( function_exists('register_sidebar') )
    register_sidebar(array('name'=>'sidebar',
        'id'=> 'main-sidebar',
        'description'=>'Sidebar Area',
        'before_widget' => '<div class="categories mb-4">',
        'after_widget' => '</div>',
        'before_title' => '<h4 class="fw600 fon20 mb-3">',
        'after_title' => '</h4><hr>',
    ));


/*----- http://codex.wordpress.org/Function_Reference/add_theme_support -----*/

/*----- Add theme support for thumbnails and post formats -----*/
add_theme_support( 'automatic-feed-links' );

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(1000,1000,true);
add_image_size( 'aboutfull-thumb', 990, 256,true );
add_image_size( 'bloginnerfull-thumb', 980, 256,true);
add_image_size( 'blog-thumb', 900, 256,true);
add_image_size( 'blogfull-thumb', 900, 256,true);
add_image_size( 'blogmain-thumb', 600, 256,true);
add_image_size( 'bloginner-thumb', 622, 256,true);
add_image_size( 'portfoliofull-thumb', 980, 256,true);
add_image_size( 'portfolio-thumb', 365, 247,true);
add_image_size( 'bloghome-thumb', 296, 160,true);
add_image_size( 'review-thumb', 296, 160,true);
add_image_size( 'thumbnail', 300, 300,true);

if ( ! isset( $content_width ) )
    $content_width = 600;


/*----- Custom Function for Displaying Comments -----*/

function oft_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;

    if (get_comment_type() == 'pingback' || get_comment_type() == 'trackback') : ?>
        <li class="pingback" id="comment-<?php comment_ID(); ?>">
        <article <?php comment_class('clearfix'); ?>>
            <header>
                <h4><?php _e('Pingback:', 'oft_theme'); ?></h4>
                <p><?php edit_comment_link(); ?></p>
            </header>
            <?php comment_author_link(); ?>
        </article>
    <?php endif; ?>




    <?php if (get_comment_type() == 'comment') : ?>
        <li id="comment-<?php comment_ID(); ?>">
        <article <?php comment_class('clearfix'); ?>>
            <header>
                <h4><?php comment_author_link(); ?></h4>
                <p><span>on <?php comment_date(); ?> at <?php comment_time(); ?> - </span><?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?></p>
            </header>
            <figure class="comment-avatar">
                <?php
                $avatar_size = 80;
                if ($comment->comment_parent != 0) {
                    $avatar_size = 48;
                }
                echo get_avatar($comment, $avatar_size);
                ?>
            </figure>
            <?php if ($comment->comment_approved == '0') : ?>
                <p class="awaiting-moderation"><?php _e('Your comment is awaiting moderation.', 'oft_theme'); ?></p>
            <?php endif; ?>
            <?php echo $comment->comment_content; ?>
        </article>
    <?php endif;
}

/*----- Custom Comment Form -----*/

function oft_custom_comment_form($defaults) {
    $comment_notes_after = '' .
        $defaults['comment_notes_before'] = '';
    $defaults['comment_notes_after'] = $comment_notes_after;
    $defaults['id_form'] = 'comment-form';
    $defaults['comment_field'] = '<div class="row"><div class="col-md-12" style="margin-bottom: 25px;">'.

        '<textarea  name="comment" id="comment" class="txt1 h-100" cols="" rows="" placeholder="Your Comment"></textarea>'.

        '</div>';
    return $defaults;
}

add_filter('comment_form_defaults', 'oft_custom_comment_form');

function oft_custom_comment_fields() {
    $commenter = wp_get_current_commenter();
    $req = get_option('require_name_email');
    $aria_req = ($req ? " aria-required='true'" : '');

    $fields = array(
        'author' => '<div class="col-md-6">' .

            '<input id="author" name="author" placeholder="Name*" type="text" class="txt1" value="' . esc_attr($commenter['comment_author']) . '" ' . $aria_req . ' />' .


            '</div>',
        'email' => '<div class="col-md-6">' .

            '<input id="email" placeholder="Email*" name="email" type="text"  class="txt1" value="' . esc_attr($commenter['comment_author_email']) . '" ' . $aria_req . ' />' .

            '</div>',
        'url' =>  '<br><br><br><br><div class="col-md-6">' .

            '<input id="url" placeholder="Website URL" name="url" type="text" class="txt1" value="' . esc_attr($commenter['comment_author_url']) . '" />' .


            '</div><br><br><br><br></r></b></div>'
    );

    return $fields;
}

add_filter('comment_form_default_fields', 'oft_custom_comment_fields');




if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );





/*----- http://design.sparklette.net/teaches/how-to-add-wordpress-pagination-without-a-plugin/  -----*/

function pagination($pages = '', $range = 4)
{
    $showitems = ($range * 2)+1;

    global $paged;
    if(empty($paged)) $paged = 1;

    if($pages == '')
    {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if(!$pages)
        {
            $pages = 1;
        }
    }



    if(1 != $pages)
    {
        echo "<ul class=\"pagination\">";
        // <span class='btn'>Page ".$paged." of ".$pages."</span>&nbsp;";
        if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<li class='page-item'><a class='page-link' href='".get_pagenum_link(1)."'> First</a></li>";
        if($paged > 1 && $showitems < $pages) echo "<li class='page-item prev'><a href='".get_pagenum_link($paged - 1)."' class='page-link'>Previous</a></li>";

        for ($i=1; $i <= $pages; $i++)
        {
            if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
            {
                echo ($paged == $i)? "<li class='page-item active'><a href='javascript:void(0)' class='page-link'>".$i."</a></li>":"<li class='page-item'><a href='".get_pagenum_link($i)."' class='page-link'>".$i."</a></li>";
            }
        }
        if ($paged < $pages && $showitems < $pages) echo "<li class='page-item'><a href=\"".get_pagenum_link($paged + 1)."\" class='page-link'>Next </a></li>";
        if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<li class='page-item'><a class='page-link' href='".get_pagenum_link($pages)."'>Last </a></li>";
        echo "</ul>\n";
    }

}
/*----- Pagination Ends here -----*/

/*----- Breadcrumbs -----*/
function get_breadcrumbs()  {
    $delimiter = ' » ';
    $name = __("Home",'oft_theme');
    $currentBefore = ' <span class="current">';
    $currentAfter = '</span> ';
    $type=get_post_type();
    if (!is_home() && !is_front_page() && get_post_type() == $type || is_paged()) {

        echo '<nav id="breadcrumbs">';
        global $post;
        $home = get_bloginfo('url');
        echo '<a href="' . $home . '">' . $name . '</a> ' . $delimiter . '';
        
        
         if (is_single() && get_post_type() == 'cptreviews' ){
            $cat = get_the_category();
            
            $cat = $cat[0];
            if ($cat !==NULL) {
                echo get_category_parents($cat, true, ' ' . $delimiter . '');
            }
            echo $currentBefore;
            echo 'Review »';
            echo $currentAfter;
        } 
        
        if (is_single() && get_post_type() == 'portfolio' ){
            $cat = get_the_category();
            
            $cat = $cat[0];
            if ($cat !==NULL) {
                echo get_category_parents($cat, true, ' ' . $delimiter . '');
            }
            echo $currentBefore;
            echo 'Portfolio »';
            echo $currentAfter;
        } 
        
        if (is_category()) {
            global $wp_query;
            $cat_obj = $wp_query->get_queried_object();
            $thisCat = $cat_obj->term_id;
            $thisCat = get_category($thisCat);
            $parentCat = get_category($thisCat->parent);
            if ($thisCat->parent != 0) {
                echo(get_category_parents($parentCat, true, '' . $delimiter . ''));
            }
            echo $currentBefore . single_cat_title() . $currentAfter;
        }
        else if (is_day()) {
            echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . '';
            echo '<a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
            echo $currentBefore . get_the_time('d') . $currentAfter;
        } else if (is_month()) {
            echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . '';
            echo $currentBefore . get_the_time('F') . $currentAfter;
        } else if (is_year()) {
            echo $currentBefore . get_the_time('Y') . $currentAfter;
        } else if (is_attachment()) {
            echo $currentBefore;
            the_title();
            $currentAfter;
        } if (is_single() && get_post_type() == $type ){
            $cat = get_the_category();
            $cat = $cat[0];
            if ($cat !==NULL) {
                echo get_category_parents($cat, true, ' ' . $delimiter . '');
            }
            echo $currentBefore;
            the_title();
            echo $currentAfter;
        } else if (is_page() && !$post->post_parent) {
            echo $currentBefore;
            the_title();
            echo $currentAfter;
        } else if (is_page() && $post->post_parent) {
            $parent_id = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_page($parent_id);
                $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
                $parent_id = $page->post_parent;
            }
            $breadcrumbs = array_reverse($breadcrumbs);
            foreach($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
            echo $currentBefore;
            the_title();
            echo $currentAfter;
        } else if (is_search()) {
            echo $currentBefore . __('Search Results For:','oft_theme') . ' ' . get_search_query() . $currentAfter;
        } else if (is_tag()) {
            echo $currentBefore . single_tag_title() . $currentAfter;
        } else if (is_author()) {
            global $author;
            $userdata = get_userdata($author);
            echo $currentBefore . $userdata->display_name . $currentAfter;
        } else if (is_404()) {
            echo $currentBefore . '404 Not Found' . $currentAfter;
        }
        if (get_query_var('paged')) {
            if (is_home() || is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
                echo  $currentBefore;
            }
            echo __('Page','oft_theme') . ' ' . get_query_var('paged');
            if (is_home() || is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
                echo $currentAfter;
        }
    }
        echo '</nav>';
} }

function new_excerpt_more( $more ) {
    return '<p class="font_s22"><a href="'. get_permalink( get_the_ID() ) . '">CONTINUE READING</a></p>';
}
add_filter( 'excerpt_more', 'new_excerpt_more' );

function custom_excerpt_length( $length ) {
    return 20;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
//add_filter('comment_form_default_fields',' unset_url_field');
//function unset_url_field($fields){
//        if (isset($feilds['url']));
//        unset ($feilds['url']);
//        return $feilds;
//    }
/** Add fontawesome*/
add_action( 'wp_enqueue_scripts', 'load_fontawesome_style', 999 );
function load_fontawesome_style() {
    wp_register_style( 'font-awesome', 'https://netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css' );
    wp_enqueue_style( 'font-awesome' );
}


add_action('wp_head','pluginname_ajaxurl_compare');



function pluginname_ajaxurl_compare() {
    ?>
    <script type="text/javascript">
        var admin_URL = '<?php echo admin_url('admin-ajax.php'); ?>';
    </script>
    <?php
}


add_action('wp_ajax_send_mail','send_mail');
add_action('wp_ajax_nopriv_send_mail','send_mail');

function send_mail()
{
    
    global $data;

    $name = $_REQUEST['name'];

    $email = $_REQUEST['email'];

    $msg = $_REQUEST['msg'];

    $emailTo = $data['con_email1'];

   //echo $emailTo;
    if (!isset($emailTo) || ($emailTo == '') ){
        $emailTo = get_option('admin_email');
    }

    $subject = 'From '.$name;
    $body = "Name: $name \n\n \n \n\n \n Email: $email \n\n Message: $msg";
    //echo $body;
    $headers = 'From: '.$name.' <'.$email.'>' . "\r\n" . 'Reply-To: ' . $email;
    $success = wp_mail($emailTo, $subject, $body, $headers);
        
        if($success){
             print "<p class='success'><i class='fa fa-check' aria-hidden='true'></i>Mail Sent.</p>";
        }else{
            print "<p class='Error'>Problem in Sending Mail.</p>";
        }



    die();
}



add_action('init', 'yrc_cst_register_role_customer_service_rep');

function yrc_cst_register_role_customer_service_rep() {

    $wp_roles = new WP_Roles();

    $wp_roles->remove_role('subscriber');
    $wp_roles->remove_role('editor');
    $wp_roles->remove_role('contributor');
    $wp_roles->remove_role('author');

    $service_rep_caps = array(
        'read'              => true,

        'read_private_pages'     => true,
        'read_private_posts'     => true,
        'edit_users'             => true,
        'edit_posts'             => true,
        'edit_pages'             => true,
        'edit_published_posts'   => true,
        'edit_published_pages'   => true,
        'edit_private_pages'     => true,
        'edit_private_posts'     => true,
        'edit_others_posts'      => true,
        'edit_others_pages'      => true,
        'publish_posts'          => true,
        'publish_pages'          => true,
        'delete_posts'           => true,
        'delete_pages'           => true,
        'delete_private_pages'   => true,
        'delete_private_posts'   => true,
        'delete_published_pages' => true,
        'delete_published_posts' => true,
        'delete_others_posts'    => true,
        'delete_others_pages'    => true,
        'manage_categories'      => true,
        'manage_links'           => true,
        'moderate_comments'      => true,
        'upload_files'           => true,
        'export'                 => true,
        'import'                 => true,
        'list_users'             => true,
    );

    add_role('customer_service', __('Customer Service'), $service_rep_caps);

    
}

add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}


remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);


add_action('woocommerce_before_main_content', 'my_theme_wrapper_start', 10);
add_action('woocommerce_after_main_content', 'my_theme_wrapper_end', 10);

function my_theme_wrapper_start() {
    echo '<section id="main">';
}

function my_theme_wrapper_end() {
    echo '</section>';
}





/**
 * Include the Woocomerrce_Activation class.
 */
require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function my_theme_register_required_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        /** This is an example of how to include a plugin pre-packaged with a theme */
        array(
            'name'     => 'TGM Example Plugin', // The plugin name
            'slug'     => 'tgm-example-plugin', // The plugin slug (typically the folder name)
            'source'   => get_stylesheet_directory() . '/TGM-Plugin-Activation-master/plugins/tgm-example-plugin.zip', // The plugin source
            'required' => true,
        ),
        /** This is an example of how to include a plugin from the WordPress Plugin Repository */
        array(
            'name'      => 'WooCommerce',
            'slug'      => 'woocommerce',
            'required'  => true,
        )


    );

    /** Change this to your theme text domain, used for internationalising strings */
    $theme_text_domain = 'tgmpa';

    /**
     * Array of configuration settings. Uncomment and amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * uncomment the strings and domain.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    // $config = array(
    //     /*'domain'       => $theme_text_domain,         // Text domain - likely want to be the same as your theme. */
    //     /*'default_path' => '',                         // Default absolute path to pre-packaged plugins */
    //     /*'menu'         => 'install-my-theme-plugins', // Menu slug */
    //     'strings'      	 => array(
    //         /*'page_title'             => __( 'Install Required Plugins', $theme_text_domain ), // */
    //         /*'menu_title'             => __( 'Install Plugins', $theme_text_domain ), // */
    //         /*'instructions_install'   => __( 'The %1$s plugin is required for this theme. Click on the big blue button below to install and activate %1$s.', $theme_text_domain ), // %1$s = plugin name */
    //         /*'instructions_activate'  => __( 'The %1$s is installed but currently inactive. Please go to the <a href="%2$s">plugin administration page</a> page to activate it.', $theme_text_domain ), // %1$s = plugin name, %2$s = plugins page URL */
    //         /*'button'                 => __( 'Install %s Now', $theme_text_domain ), // %1$s = plugin name */
    //         /*'installing'             => __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name */
    //         'oops'                   => __( 'Something went wrong with the plugin API.', $theme_text_domain ), // 
    //         /*'notice_can_install'     => __( 'This theme requires the %1$s plugin. <a href="%2$s"><strong>Click here to begin the installation process</strong></a>. You may be asked for FTP credentials based on your server setup.', $theme_text_domain ), // %1$s = plugin name, %2$s = TGMPA page URL */
    //         /*'notice_cannot_install'  => __( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', $theme_text_domain ), // %1$s = plugin name */
    //         /*'notice_can_activate'    => __( 'This theme requires the %1$s plugin. That plugin is currently inactive, so please go to the <a href="%2$s">plugin administration page</a> to activate it.', $theme_text_domain ), // %1$s = plugin name, %2$s = plugins page URL */
    //         /*'notice_cannot_activate' => __( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', $theme_text_domain ), // %1$s = plugin name */
    //         /*'return'                 => __( 'Return to Required Plugins Installer', $theme_text_domain ), // */
    //     ),
    // );
    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => __( 'Install Required Plugins', 'tgmpa' ),
            'menu_title'                      => __( 'Install Plugins', 'tgmpa' ),
            'installing'                      => __( 'Installing Plugin: %s', 'tgmpa' ), // %s = plugin name.
            'oops'                            => __( 'Something went wrong with the plugin API.', 'tgmpa' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'tgmpa' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'tgmpa' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'tgmpa' ),
            'return'                          => __( 'Return to Required Plugins Installer', 'tgmpa' ),
            'plugin_activated'                => __( 'Plugin activated successfully.', 'tgmpa' ),
            'complete'                        => __( 'All plugins installed and activated successfully. %s', 'tgmpa' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $plugins, $config );

}